@Echo Off

Rem   ---------------------------------------------------------------------------
Rem  JOnAS: Java(TM) Open Application Server
Rem  Copyright (C) 1999 Bull S.A.
Rem  Contact: jonas-team@objectweb.org
Rem  
Rem  This library is free software; you can redistribute it and/or
Rem  modify it under the terms of the GNU Lesser General Public
Rem  License as published by the Free Software Foundation; either
Rem  version 2.1 of the License, or any later version.
Rem  
Rem  This library is distributed in the hope that it will be useful,
Rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem  Lesser General Public License for more details.
Rem  
Rem  You should have received a copy of the GNU Lesser General Public
Rem  License along with this library; if not, write to the Free Software
Rem  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem  USA
Rem  
Rem  Initial developer(s): ____________________________________.
Rem   Contributor(s): ______________________________________.
Rem  
Rem	00/22/05  Roland Kamsikav (email: Roland.Kamsika@amonite.co.uk)
Rem	          Versions of this script created from a contribution
Rem               of Roland Kamsika
Rem	          (Portions provided by Anatole Tresch & Rüdiger Breit)
Rem
Rem   ---------------------------------------------------------------------------
Rem   $Id$
Rem   ---------------------------------------------------------------------------


Rem  Check environment variables:
if "%JONAS_ROOT%"=="" Goto SetRoot

Rem set the Environment Variables
call %JONAS_ROOT%\bin\nt\config_env.bat

Rem Check for Rmi or Jeremie
if "%OBJECTWEB_ORB%" == "JEREMIE" Goto Jeremie
if "%OBJECTWEB_ORB%" == "RMI" Goto Rmi
if "%OBJECTWEB_ORB%" == "RMIIIOP" Goto Rmiiiop
if "%OBJECTWEB_ORB%" == "DAVID" Goto David
Rem Neither Rmi Jeremie David or IIOP is set
@Echo "Orb is not set"
Goto End

:SetRoot
@echo "JONAS_ROOT must be set"
Goto End

:Jeremie
%JAVA% -Djava.security.policy=%JONAS_ROOT%\config\java.policy org.objectweb.jeremie.libs.services.registry.JRMIRegistry %1 %2 %3 %4 %5 %6 %7 %8 %9
Goto End

:Rmi
RmiRegistry %1 %2 %3 %4 %5 %6 %7 %8 %9
Goto End

:Rmiiiop
tnameserv -ORBInitialPort %1 %2 %3 %4 %5 %6 %7 %8 %9
Goto End

:David
Goto End

:End

